# request token

A request token is used by the Identity service’s OS-OAUTH1 extension. It is used by the consumer to request access tokens. Applicable to Identity v3.

## request token authorize

Authorize a request token

    openstack request token authorize
        --request-key <request-key>
        --role <role>

--request-key <request-key>

  Request token to authorize (ID only) (required)

--role <role>

  Roles to authorize (name or ID) (repeat option to set multiple values) (required)

## request token create

Create a request token

    openstack request token create
        --consumer-key <consumer-key>
        --consumer-secret <consumer-secret>
        --project <project>
        [--domain <domain>]

--consumer-key <consumer-key>

  Consumer key (required)

--consumer-secret <consumer-secret>

  Consumer secret (required)

--project <project>

  Project that consumer wants to access (name or ID) (required)

--domain <domain>

  Domain owning <project> (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.